<template>
  <v-app>
    <menubar
      :clipped="clipped"
      :drawer="drawer"
      :miniVariant="miniVariant"
      :items="items" />
    <toolbar
      :clipped="clipped"
      :drawer="drawer"
      :miniVariant="miniVariant"
      :title="title"
      v-on:switchProp="onSwitchProp"
      />
    <v-content class="blue-grey lighten-5">
      <transition name="fade" mode="out-in">
        <router-view/>
      </transition>
    </v-content>
    <v-footer :fixed="fixed" app>
      <span>&copy; 2018</span>
    </v-footer>
  </v-app>
</template>

<script>
import Menubar from '@/components/Menubar'
import Toolbar from '@/components/Toolbar'

export default {
  name: 'App',
  components: { Menubar, Toolbar },
  data () {
    return {
      clipped: false,
      drawer: false,
      fixed: false,
      items: [{
        active: true,
        icon: 'view_list',
        title: 'Orders',
        link: 'home'
      }, {
        icon: 'help',
        title: 'Help',
        link: 'help'
      }],
      miniVariant: false,
      title: 'Orders management'
    }
  },
  methods: {
    /**
     * onSwitchProp
     * Reacts to a property change on a child component
     * updating its corresponding data value.
     */
    onSwitchProp (propName, propValue) {
      this[propName] = propValue
    }
  }
}
</script>

<style lang="scss">
  @import 'main.scss'
</style>
